collector
Create collector batch
Requires scopes: traces:write
POST
/
api
/
collector
/
batch
Create collector batch
curl --request POST \
--url https://evalgate.com/api/collector/batch \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"traces": [
{
"name": "<string>",
"trace_id": "<string>",
"spans": [
{
"name": "<string>",
"span_id": "<string>",
"input": true,
"params": {},
"type": "default",
"error": {
"message": "<string>",
"code": "<string>"
},
"metadata": {},
"output": true,
"model": "<string>",
"metrics": {
"prompt_tokens": 123,
"completion_tokens": 123,
"total_time_ms": 123
},
"parent_span_id": "<string>",
"vendor": "<string>",
"behavioral": {}
}
],
"status": "error",
"metadata": {},
"environment": "production",
"content_hash": "<string>",
"duration_ms": 123,
"source": "api",
"repo_sha": "<string>"
}
]
}
'import requests
url = "https://evalgate.com/api/collector/batch"
payload = { "traces": [
{
"name": "<string>",
"trace_id": "<string>",
"spans": [
{
"name": "<string>",
"span_id": "<string>",
"input": True,
"params": {},
"type": "default",
"error": {
"message": "<string>",
"code": "<string>"
},
"metadata": {},
"output": True,
"model": "<string>",
"metrics": {
"prompt_tokens": 123,
"completion_tokens": 123,
"total_time_ms": 123
},
"parent_span_id": "<string>",
"vendor": "<string>",
"behavioral": {}
}
],
"status": "error",
"metadata": {},
"environment": "production",
"content_hash": "<string>",
"duration_ms": 123,
"source": "api",
"repo_sha": "<string>"
}
] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
traces: [
{
name: '<string>',
trace_id: '<string>',
spans: [
{
name: '<string>',
span_id: '<string>',
input: true,
params: {},
type: 'default',
error: {message: '<string>', code: '<string>'},
metadata: {},
output: true,
model: '<string>',
metrics: {prompt_tokens: 123, completion_tokens: 123, total_time_ms: 123},
parent_span_id: '<string>',
vendor: '<string>',
behavioral: {}
}
],
status: 'error',
metadata: {},
environment: 'production',
content_hash: '<string>',
duration_ms: 123,
source: 'api',
repo_sha: '<string>'
}
]
})
};
fetch('https://evalgate.com/api/collector/batch', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"results": [
{
"trace_id": "<string>",
"status": "failed",
"span_count": 123,
"spans_written": 123,
"spans_existing": 123,
"error": "<string>"
}
],
"accepted": 123,
"failed": 123
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Show child attributes
Show child attributes
⌘I
Create collector batch
